Skip to main content
POST
/
connectors
/
consumers
/
{consumer_id}
/
kyc
Creation of KYC
curl --request POST \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/kyc \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "first_name": "<string>",
  "last_name": "<string>",
  "birthday": "2023-12-25",
  "country_of_residence": "<string>",
  "nationality": "<string>"
}
'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/kyc"

payload = {
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"birthday": "2023-12-25",
"country_of_residence": "<string>",
"nationality": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
first_name: '<string>',
last_name: '<string>',
birthday: '2023-12-25',
country_of_residence: '<string>',
nationality: '<string>'
})
};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "email": "jsmith@example.com",
  "first_name": "<string>",
  "last_name": "<string>",
  "birthday": "2023-12-25",
  "country_of_residence": "<string>",
  "nationality": "<string>"
}
{
"errors": {},
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
}
{
"errors": {},
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

Body

application/json
email
string<email>
required

Description of email.

first_name
string
required

Description of first_name.

last_name
string
required

Description of last_name.

birthday
string<date>

Description of birthday.

country_of_residence
string

description of country_of_residence.

nationality
string

Description of nationality.

Response

Created

email
string<email>
required

Description of email.

first_name
string
required

Description of first_name.

last_name
string
required

Description of last_name.

birthday
string<date>

Description of birthday.

country_of_residence
string

description of country_of_residence.

nationality
string

Description of nationality.